return Def.ActorFrame{
  Name= "xtl_actor_e",
  Def.Quad{
    Name= "xtl_actor_f",
    InitCommand= cmd(visible,false),
    OnCommand= cmd(sleep,1000),
  },
  Def.Quad{
    Name= "xtl_actor_g",
    InitCommand= cmd(visible,false),
    OnCommand= function(self)
				self:queuecommand('Update');
				
				fgcurcommand = 1;
				checked = false;
				prefix_time = 0;
				
				prefix_plr = {};
				
				
				curmod = 1;
				--{beat,mod,player}
				mods = {}
				
				table.insert(mods,{197.92,'*9e9 100% stealth'})
				table.insert(mods,{238,'*9e9 no stealth'})
				table.insert(mods,{244.92,'*9e9 100% stealth'})
				table.insert(mods,{285,'*9e9 no stealth'})
				table.insert(mods,{299.92,'*9e9 100% stealth'})
				table.insert(mods,{348,'*9e9 no stealth'})
				table.insert(mods,{362.92,'*9e9 100% stealth'})
				table.insert(mods,{392,'*1 no stealth'})
				table.insert(mods,{548.92,'*9e9 100% stealth'})
				table.insert(mods,{577,'*1 no stealth'})
				
			end,
			
			Update2Command= function(self)
				self:sleep(0.0166666666);
				self:queuecommand('Update');
			end,
			
			UpdateCommand= function(self)
				if curmod<=table.getn(mods) and GAMESTATE:GetSongBeat()>=mods[curmod][1] then
					if mods[curmod] ~= nil then
						if table.getn(mods[curmod]) == 2 then
							local po = {GAMESTATE:GetPlayerState(0):GetPlayerOptions('ModsLevel_Song'), GAMESTATE:GetPlayerState(1):GetPlayerOptions('ModsLevel_Song')}
							po[1]:FromString(mods[curmod][2])
							po[2]:FromString(mods[curmod][2])
						else
							GAMESTATE:ApplyGameCommand('ModsLevel_Song', mods[curmod][2]);
						end
						curmod = curmod+1;
					end
				end
				
				local beat = GAMESTATE:GetSongBeat();
				local SObj = GAMESTATE:GetSongOptionsObject("ModsLevel_Song");
				local directory = GAMESTATE:GetCurrentSong():GetSongDir()
				local path = directory .. "clap.ogg"
			
				if beat >= 0 and not checked then
					
					table.insert(prefix_plr,SCREENMAN:GetTopScreen():GetChild('PlayerP1'));
					table.insert(prefix_plr,SCREENMAN:GetTopScreen():GetChild('PlayerP2'));
					checked = true;
				end
				
				self:queuecommand('Update2');
			end,
  },
}
